package com.fzm.mall.server.admin.opration.service;

import com.fzm.mall.server.admin.opration.entity.dto.FunctionDTO;
import com.fzm.mall.server.admin.opration.entity.dto.FunctionSaveDTO;
import com.fzm.mall.server.admin.opration.entity.dto.FunctionUpdateDTO;
import com.fzm.mall.server.admin.opration.model.Function;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 运营中心-功能区 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
public interface IFunctionService extends IService<Function> {

    void save(FunctionSaveDTO functionSaveDTO);

    void update(FunctionUpdateDTO functionUpdateDTO);

    void delete(String operationFunctionId, String merchantId);

    FunctionDTO read(String operationFunctionId, String merchantId);

    List<FunctionDTO> list(String merchantId);

}
